usb-modeswitch-data (20191128-6) unstable; urgency=medium

  * debian/rules: Let dh_installudev install udev rules.
                  (Closes: #1058824)
                  Thanks to Chris Hofstaedtler for the patch
  * debian/control: bump standard to 4.6.2 (no changes)
  * debian/watch: use version=4

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 16 Dec 2023 22:51:02 +0100

usb-modeswitch-data (20191128-5) unstable; urgency=medium

  * adopt package (Closes: #993779)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 11 Apr 2022 20:51:02 +0200

usb-modeswitch-data (20191128-4) unstable; urgency=medium

  * Orphan package

  [ Didier Raboud ]
  * Run wrap-and-sort -baskt
  * S-V: Update to 4.6.0 without changes needed
  * Add Salsa CI configuration
  * Bump debhelper compat to 13

  [ Debian Janitor ]
  * Use secure URI in Homepage field
  * Update standards version to 4.5.0, no changes needed
  * Remove 1 unused lintian overrides

 -- Didier Raboud <odyx@debian.org>  Mon, 06 Sep 2021 12:51:02 +0200

usb-modeswitch-data (20191128-3) unstable; urgency=medium

  * Fix pre-source build clean by skipping upstream's clean target
    (Closes: #952276)

 -- Didier Raboud <odyx@debian.org>  Mon, 24 Feb 2020 19:53:02 +0100

usb-modeswitch-data (20191128-2) unstable; urgency=medium

  [ Chris Lamb ]
  * Make the build reproducible (Closes: #946330)

 -- Didier Raboud <odyx@debian.org>  Sun, 08 Dec 2019 15:02:35 +0100

usb-modeswitch-data (20191128-1) unstable; urgency=medium

  * New upstream version 20191128
    + New devices
     [03f0:0857] HP lt4220 NGFF Card
     [03f0:371d] HP un2430
     [03f0:4b1d] HP hs2434
     [03f0:4e1d] HP lt4111
     [03f0:a31d] HP lt4132
     [0846:0fff] Netgear AirCard 779S
     [0bda:1a2b] D-Link DWA-171 Wifi Dongle
     [0e8d:2870] COMFAST CF-WU782AC WiFi Dongle
     [1410:9030] Novatel USB730L
     [1410:b00c] Novatel MiFi 6620L
     [15eb:a403] Abit AK-020
     [161c:f010] KuWfi 4g LTE
     [19d2:1421] ZTE MF833V, Telewell TW-LTE v2
     [1c9e:3003] 4G System XS W21s
     [1c9e:f030] JioFi JMR1040
     [2001:ac01] D-Link DWM-222 A2
     [2020:2030] Telewell TW-LTE, Olicard 600, Digisol BG-BA4305
     [2357:0600] TP-Link UE300
     [2fd4:9aff] 4G Systems W1208
     [413c:81a2] Dell DW5806
     [413c:81a3] Dell DW5570
     [413c:81a4] Dell DW5570e
     [413c:81a8] Dell DW5808
     [413c:81b1] Dell DW5809e
     [413c:81b3] Dell DW5809e
     [413c:81d7] Dell DW5821e
     [413c:81e0] Dell DW5821e-eSIM

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Didier Raboud ]
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Bump S-V to 4.4.1 without changes needed
  * Set Rules-Requires-Root to no

 -- Didier Raboud <odyx@debian.org>  Fri, 06 Dec 2019 18:15:47 +0100

usb-modeswitch-data (20170806-2) unstable; urgency=medium

  * Cleanup d/control thanks to `cme update dpkg-control`
  * Update Vcs-* for the move to Salsa

 -- Didier Raboud <odyx@debian.org>  Fri, 23 Feb 2018 20:56:43 +0100

usb-modeswitch-data (20170806-1) unstable; urgency=medium

  * New upstream version 20170806
    + New devices
     [03f0:371d] HP un2430
     [03f0:4b1d] HP hs2434,
     [03f0:4e1d] HP lt4111
     [03f0:a31d] HP lt4132
     [0846:0fff] Netgear AirCard 779S
     [12d1:15ec] Vodafone/Huawei K5150
    × Devices updates
     [0922:1003] Dymo LabelManager 420P
     [0922:1007] Dymo LabelManager Wireless PnP
     [1199:0fff] Sierra devices
    - Removed devices
     [1004:61aa] LG VL600
  * Bump S-V to 4.1.0 without changes needed

 -- Didier Raboud <odyx@debian.org>  Fri, 25 Aug 2017 09:58:48 +0200

usb-modeswitch-data (20170205-2) unstable; urgency=medium

  * Migrate 20170205 to unstable
  * Bump Standards-Version to 4.0.0 without changes needed
  * Migrate to debhelper compat 10
  * Add lintian override for udev-rule-missing-subsystem false-positive
  * Drop all postinst code managing versions before the current
    oldoldstable (wheezy, 20120815-2)

 -- Didier Raboud <odyx@debian.org>  Mon, 24 Jul 2017 08:44:54 +0200

usb-modeswitch-data (20170205-1) experimental; urgency=medium

  * Bugfix release:
    - Removed all catch-all fallback config files as they can affect unrelated
      devices (fixes https://bugzilla.redhat.com/show_bug.cgi?id=1374913)

 -- Didier Raboud <odyx@debian.org>  Sat, 22 Apr 2017 14:29:19 +0200

usb-modeswitch-data (20170120-1) unstable; urgency=medium

  * New upstream release
    + New devices
     [03f0:032a] HP LaserJet Professional P1102w
     [03f0:9d1d] HP lt4120
     [0586:2030] ZyXel WAH1004/WAH3004
     [148f:2878] RaLink MT7601U
     [19d2:0033] ZTE MF636DB
     [19d2:0090] ZTE MU330
     [2001:7600] D-Link DWP-157 C1
     [2001:a809] D-Link DWM-157 A1
     [2001:ab00] D-Link DWM-222
     [22de:6802] WeTelecom WM-D200A
    × Devices updates
     [1004:6190] LG AD600
     [19d2:1595] ZTE MF710 (Vietnam)
     [22de:6803] WeTelecom WM-D300

 -- Didier Raboud <odyx@debian.org>  Mon, 23 Jan 2017 08:14:11 +0100

usb-modeswitch-data (20160803-1) unstable; urgency=medium

  * New upstream release
    + New devices
     [03f0:521d] HP hs3110
     [03f0:531d] HP hs3120
     [03f0:541d] HP hs3114
     [03f0:581d] HP hs4112
     [03f0:631d] HP lt4225
     [03f0:641d] HP lt4226
     [03f0:681d] HP lt4227
     [03f0:911d] HP lt4211
     [03f0:931d] HP lt4110
     [03f0:9a1d] HP lt4114
     [1004:610c] LG L-02A
     [12d1:1527] Vodafone / Huawei R206 Router
     [12d1:1570] Huawei ME906E
     [12d1:1571] Huawei EM820W
     [12d1:1572] Huawei MU733
     [12d1:1580] Vodafone / Huawei R210 Router
     [12d1:1581] Vodafone / Huawei R208 Router
     [12d1:15bb] Huawei ME936
     [12d1:15c0] Huawei ME906C
     [12d1:15f0] Huawei MU736
     [12d1:1c25] Huawei MU709s-2 Module
     [12d1:1f04] Vodafone / Huawei R206_MR Router
     [12d1:1f05] Vodafone / Huawei R207 Router
     [12d1:1f06] Vodafone / Huawei R215_MR Router
     [16d5:f000] Anydata ADU-890WH
     [1726:1900] Axesstel MV210
     [1782:0023] Spreadtrum SC7702 (Variant)
     [19d2:1019] Vodafone / ZTE R203 Router
     [19d2:1020] Vodafone / ZTE R203 Router
     [19d2:1022] Vodafone / ZTE K4201-z
     [19d2:1026] Vodafone / ZTE R212 Router
     [19d2:1034] Vodafone / ZTE R206-z Router
     [19d2:1042] Vodafone / ZTE R209-z Router
     [19d2:1046] ZTE MF730
     [1c9e:f010] Micromax MMX400R / 4G Systems XSBOXGO
     [2001:7600] D-Link DWM-157 C1
     [2015:0001] Venus VT-18
     [230d:000c] Zoom 3G
     [6000:1000] BlueLink BL-EV08C
    × Devices updates
     [0408:f000] MU-Q110
     [0408:f000:uMa=Yota] Yota Router (Quanta 1QDLZZZ0ST2)
     [057c:62ff] AVM Fritz!Wlan USB Stick N v2
     [057c:84ff] AVM Fritz!Wlan USB Stick N
     [05c6:1000:uMa=CELOT] Celot K-300 a.o.
     [07d1:a800] D-Link DWM-156 HSUPA 3.75G a.o.
     [1004:6190] LG AD600
     [12d1:1c0b] Huawei E173s
     [2020:f00e] SpeedUp SU-8000 and others
     [2077:f000] Telenet 3G dongle (T&W WU160), Netgear AC327U and others
     [22f4:0021] Tata Photon+, Olive VME102
    - Removed devices (handled by kernel)
     [0bdb:190d] Ericsson F5521gw
     [0bdb:1910] Ericsson F5521gw (Variant)

  * Packaging:
    - Drop patch to avoid udev reload during build, integrated upstream
    - Drop patches to build reproducibly, all integrated upstream

 -- Didier Raboud <odyx@debian.org>  Fri, 05 Aug 2016 14:44:44 +0200

usb-modeswitch-data (20160612-1) unstable; urgency=medium

  * New upstream release
    + New devices
     [046d:c261] Logitech G920 Racing Wheel
     [05c6:98ff] U901 (LTE modem)
     [12d1:15c1] Huawei ME906, ME909
     [1bbb:025e] Yota 4G LTE W8
     [2001:a406] D-Link DWM-221
     [2001:a407] D-Link DWM-157 C1
     [2001:a40a] D-Link DWM-156 A8 (Myanmar)
     [2001:a40d] D-Link DWR-910
    × Devices updates
     [05c6:f000] Siptune LM-75 ("LinuxModem"), EWangshikong 4G
     [10a9:6080] Pantech LTE Modem
     [12d1:1573] Huawei ME909u-521
     [12d1:1f1e] Vodafone / Huawei K5160
     [19d2:1595] ZTE MF710 (Vietnam) a.o.
     [2001:a401] D-Link DWM-221 B1
    - "NoDriverLoading" parameter removed from all configs, with respect to
      removed feature in usb-modeswitch 2.4.0
    - Requires usb-modeswitch version >= 2.4.0 due to appended StandardEject
      sequence (affects D-Link devices)

  * Bump Recommends/Breaks against usb-modeswitch to 2.4.0
  * Bump S-V to 3.9.8 without changes needed
  * Use the https alternative in VCS-Browser
  * Update gbp.conf to avoid forgetting the pristine-tar
  * Bump debhelper compat to 9

 -- Didier Raboud <odyx@debian.org>  Mon, 13 Jun 2016 09:30:29 +0200

usb-modeswitch-data (20160112-3) unstable; urgency=medium

  [ intrigeri ]
  * Updates patches for reproducibility (Closes: #826343):
    - 02_pack_config_reproducibly.patch: update to make the sort order
      independent of the build locale
    - Create 40-usb_modeswitch.rules reproducibly

 -- Didier Raboud <odyx@debian.org>  Sun, 05 Jun 2016 15:26:39 +0200

usb-modeswitch-data (20160112-2) unstable; urgency=medium

  * Add patch to add a --sort=name option to the tar call, for reproducibility
  * Bump Standards-Version to 3.9.7 without changes needed

 -- Didier Raboud <odyx@debian.org>  Wed, 02 Mar 2016 20:42:29 +0100

usb-modeswitch-data (20160112-1) unstable; urgency=medium

  * New upstream release
    + New devices
     [07d1:f000] D-Link DWM-151 A1
     [0922:1007] Dymo LabelManager Wireless PnP
     [1199:9011] Sierra MC8305
     [1199:9013] Sierra MC8355
     [1199:9017] Sierra MC8355 Variant
     [1199:901b] Sierra MC7770
     [1199:901c] Sierra EM7700
     [1199:901f] Sierra EM7355
     [1199:9041] Sierra EM7305
     [1199:9051] Sierra AC340U
     [1199:9053] Sierra AC770S
     [1199:9063] Sierra EM7305
     [19d2:1595] ZTE MF710 (Vietnam)
     [1c9e:9bfe] XS Stick W100 (Omega)
     [1ee8:0007] Onda POM1051
     [1ee8:0048] Onda MT655
     [20a6:f00a] BM WM78
    × Devices updates
     [0408:1000] Quanta MU-Q101
     [12d1:101e] Huawei U7510 / U7517
     [1410:9020] Novatel U620L
     [2001:a401] D-Link DWM-221 B1
    - All Option configs updated with new OptionMode parameter from
      usb-modeswitch 2.3.0
  * Bump Recommends/Breaks against usb-modeswitch to 2.3.0
  * Update gbp.conf

 -- Didier Raboud <odyx@debian.org>  Thu, 14 Jan 2016 13:05:19 +0100

usb-modeswitch-data (20151101-1) unstable; urgency=medium

  * New upstream release
    + New devices
     [12d1:1573] Huawei ME909u-521
     [1410:9020] Novatel U620L
     [1410:9022] Novatel U620L
     [19d2:0198] ZTE MF820s, MF832s
     [19d2:1580] ZTE MF195E
     [12d1:1597] Huawei E327s-150 (Variant)
     [12d1:15ce] Huawei E3531s-2, E3131 (Variant)
     [12d1:15d0] Huawei E3131 (Variant)
     [12d1:15d2] Huawei E3531 (Variant)
    - Small correction of Makefile for reproducibility (Closes: #803603)

 -- Didier Raboud <odyx@debian.org>  Mon, 02 Nov 2015 08:10:55 +0100

usb-modeswitch-data (20150627-1) unstable; urgency=medium

  * New upstream release
    + New devices
     [0922:1003] Dymo LabelManager 420P
     [10a9:606f] Pantech/Verizon UML295
     [1782:0003] Spreadtrum SC7702
     [19d2:0388] ZTE MF90 Mobile Hotspot
     [2001:a401] D-Link DWM-221 B1
    (Closes: #786825)
  * Bump Recommends/Breaks against usb-modeswitch to 2.2.2
  * Bump Standards-Version to 3.9.6 without changes needed
  * Add gbp.conf for dch and import-orig

 -- Didier Raboud <odyx@debian.org>  Mon, 29 Jun 2015 19:37:23 +0200

usb-modeswitch-data (20150115-1) unstable; urgency=medium

  * New upstream release
    + New devices
     [0408:1000] Quanta MU-Q101
     [04cc:2251] Alcatel-Lucent ABS-T920
     [1614:0800] Amoi H-01
     [1614:0802] Amoi H-02
     [19d2:0413] Telewell TW-LTE 4G
     [19d2:1038] ZTE / Vodafone K4607-Z
     [19d2:1237] ZTE / Vodafone K4201
     [19d2:1420] ZTE MF730
     [19d2:1588] ZTE MF710M Variants
     [1bbb:022c] Alcatel X602D
     [1c9e:6000] TU930, IVIO IV-2010u
     [1d09:1000] TechFaith BSNL Capitel
     [1d09:1021] Aiko 81D
     [1d09:1025] TechFaith FlyingLARK46
     [1dbc:0669] Wisue W340
     [1ee8:0003] Onda MV815U
     [1ee8:0018] Onda MO835UP
     [1ee8:0045] Onda MDC655
     [1ee8:004f] Onda MDC655 Variant
     [2001:00a6] D-Link DWM-157 B1
     [2001:98ff] D-Link DWM-221
     [2001:a403] D-Link DWM-156 A8
     [2001:a405] D-Link DWM-167 A1
     [20a6:f00e] Intex 3.5G
     [20b9:1682] Tlaytech TEU800
     [21f5:3010] StrongRising STD808
     [2262:0001] Viettel VT100
     [230d:0003] Linktop LW272/LW273 (BSNL Teracom)
     [230d:000b] Zoom 3G
     [230d:000d] Intex Speed 3G v7.2
     [257a:*000] Unknown devices
     [ed09:1021] Aiko 81D, fw with wrong vendor ID
   - many minor corrections and additions to existing configurations

 -- Didier Raboud <odyx@debian.org>  Tue, 14 Apr 2015 08:02:35 +0200

usb-modeswitch-data (20140529-1) unstable; urgency=medium

  * New upstream release
    + New devices
     [0408:f001] SpeedUp SU-8500U
     [04cc:226e] Nexperia TM TD-SCDMA
     [04cc:226f] Nexperia TM TD-SCDMA (Variant)
     [04fc:2140] Sunplus Techn. SU-3200U
     [0b3c:f00c] Olivetti Olicard 500
     [0b3c:f017] Olivetti Olicard 160
     [0bdb:190d] Ericsson F5521gw
     [0bdb:1910] Ericsson F5521gw (Variant)
     [0fce:d0df] Sony Ericsson EC400
     [1410:5055] Novatel MiFi 4082
     [19d2:1232] ZTE MFxxx
     [1c9e:9101] Emobile D21LC (Variant)
     [1c9e:9401] Emobile D21LC
     [1c9e:9d00] Prolink PCM100
     [2020:f00f] SpeedUp SU-8000U
     [23a2:1010] Titan 3.5G
    - Substantial change in handling of Huawei devices
    - Generic udev rule and additional generic configuration files
      (as fallback for unknown models or as OS-specific catch-all)

  * Bump Recommends/Breaks against usb-modeswitch to 2.2.0
  * Update VCS-* fields to canonical forms

 -- Didier Raboud <odyx@debian.org>  Mon, 09 Jun 2014 11:19:43 +0200

usb-modeswitch-data (20140327-1) unstable; urgency=low

  * New upstream release
    + New devices
     [12d1:157c] Huawei E3276-s150
     [12d1:157d] Huawei E3331
     [19d2:0318] ZTE MF821D/MF826
     [19d2:1207] ZTE MF192 (Variant)
     [19d2:1210] ZTE MF195
     [19d2:1219] ZTE MF192 (Variant)
     [19d2:1233] ZTE MFxxx
     [19d2:1238] ZTE MF825A
     [19d2:1511] ZTE MFxxx
     [19d2:1536] ZTE MF190J

  * Bump Recommends/Breaks against usb-modeswitch to 2.1.1

 -- Didier Raboud <odyx@debian.org>  Tue, 01 Apr 2014 13:35:33 +0200

usb-modeswitch-data (20140129-1) unstable; urgency=medium

  * New upstream release
    + New devices
     [0685:2000] ZE-3G 7.2Mbs HSPA modem
     [12d1:1f1b] Vodafone / Huawei Kxxxx
     [12d1:1f1c] Vodafone / Huawei Kxxxx
     [12d1:1f1d] Vodafone / Huawei Kxxxx
     [12d1:1f1e] Vodafone / Huawei Kxxxx
     [19d2:1030] Vodafone K5008-z (MF823)

  * Bump Recommends/Breaks against usb-modeswitch to 2.1.0
  * Bump Standards-Version to 3.9.5 without changes needed

 -- Didier Raboud <odyx@debian.org>  Mon, 10 Feb 2014 14:24:06 +0100

usb-modeswitch-data (20131113-1) unstable; urgency=low

  * New upstream release
    + New devices
     [0408:ea17] Quanta 1KR / USB-lte 7410
     [0408:ea43] Quanta MobileGenie 4G lte
     [057c:62ff] AVM Fritz!Wlan USB Stick N v2
     [05c6:9024] Alcatel-sbell ASB TL131 TD-LTE
     [12d1:1f16] Vodafone K5150
     [12d1:1f17] Vodafone K4201
     [12d1:1f18] Vodafone K4202
     [12d1:1f19] Vodafone K4606
     [19d2:0304] ZTE MF821D (Variant)
     [19d2:1225] ZTE MF668 (Variant), MF70
     [19d2:2004] ZTE MF60
     [1bbb:011f] Haier EVDO Rev. A

 -- Didier Raboud <odyx@debian.org>  Mon, 25 Nov 2013 10:40:00 +0100

usb-modeswitch-data (20130807-1) unstable; urgency=low

  * New upstream release
    + New devices
     [0408:ea25] Quanta 1K3 LTE
     [0fca:8020] BlackBerry Q10 and Z10
     [10a9:6080] Pantech LTE Modem
     [12d1:156a] Huawei E3276s-151 and E3251
     [12d1:1f15] Huawei K4305
     [230d:0103] Teracom LW272
     [2357:f000] TP-Link MA260
  * Bump Recommends/Breaks against usb-modeswitch to 1.2.7

 -- Didier Raboud <odyx@debian.org>  Tue, 17 Sep 2013 13:22:45 +0200

usb-modeswitch-data (20130610-1) unstable; urgency=low

  * New upstream release
    - Fixed rules file and gen-rules script to make the symlink rule
      append instead of replace (thanks to John Hedges)
      Closes: #698284

 -- Didier Raboud <odyx@debian.org>  Tue, 11 Jun 2013 09:50:29 +0200

usb-modeswitch-data (20130607-1) unstable; urgency=low

  * New upstream release
    - Included simple TCL script to regenerate rules file from configs
    + New devices
     [0421:0618] Nokia CS-12
     [04cc:225c] Alcatel-Lucent T930S
     [05c6:0010] Axesstel Modems (w/ initial idProduct 0x0010)
     [0af0:9200] Option HSO device
     [106c:3b11] Pantech UML290
     [12d1:1805] Huawei U2800 Phone
     [12d1:1c1b] Huawei GP02 (E587 Variant)
     [12d1:1f03] KDDI (Huawei) HWD12 LTE
     [1410:5023] Novatel MC996D
     [1726:f00e] Axesstel MU130
     [19d2:0150] ZTE MF656A, MF668A, MF669
     [19d2:0266] Onda MT8205 LTE
     [19d2:1227] ZTE MF680
     [19d2:1528] ZTE MF196
     [1c9e:9e08] Explay Slim
     [1ee8:0063] Onda TM201 14.4 (TIM Italy)
     [1ee8:0068] Onda WM301
     [2001:a706] D-Link DWM-156 (Variant)
     [2001:a707] D-Link DWM-156 (Variant)
     [2001:a708] D-Link DWM-156 (Variant)
     [2001:a805] D-Link DWR-510
     [2020:0002] Mediatek MT6229
     [2077:1000] Changhong CH690
     [22de:6801] WeTelecom WM-D200
  * Build-depend on tcl to allow the rebuild of rules file at
    build-time.
  * Refresh patches.
  * Bump Recommends/Breaks against usb-modeswitch to 1.2.6.

 -- Didier Raboud <odyx@debian.org>  Sat, 08 Jun 2013 18:04:35 +0200

usb-modeswitch-data (20121109-3) unstable; urgency=low

  * Upload to unstable.
  * Revert "Bump Standards-Version without changes needed", due to too
    much muscle-memory.

 -- Didier Raboud <odyx@debian.org>  Mon, 06 May 2013 18:33:34 +0200

usb-modeswitch-data (20121109-2) experimental; urgency=low

  * Bump Recommends/Breaks against usb-modeswitch to 1.2.5.
   (Closes: #698413)
  * Bump Standards-Version to 3.9.5 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Sun, 20 Jan 2013 11:58:01 +0100

usb-modeswitch-data (20121109-1) experimental; urgency=low

  * New upstream release.
    - Preparation for future MBIM devices: new "NoMBIMCheck" config parameter
    - Change in modem rules (match devices, not interfaces), best used
      with usb_modeswitch 1.2.5 and up.
    + New devices
     [0421:0632] Nokia CS-7M-01
     [05c6:1000:uMa=StrongRising] StrongRising device
     [1004:6156] LG LUU-2110TI
     [1004:61aa] LG VL600
     [1004:6327] LG L-03D LTE/3G
     [106c:3b14] Option Beemo / Pantech P4200 LTE
     [12d1:14ba] Huawei E173u-2, E177
     [12d1:151a] Huawei E392u-12
     [12d1:1526] Vodafone / Huawei K3772
     [12d1:155b] Huawei E171
     [12d1:1f11] Vodafone / Huawei K3773
     [1410:7001] Novatel Generic MiFi 2372 / Vodafone MiFi 2372
     [19d2:0083] ZTE MF110 (Variant)
     [19d2:1523] ZTE MF591 TMobile
     [19d2:1542] ZTE MF190J
     [1bbb:000f] ETCOM E300
     [1ee8:0054] Onda MW875UP
     [1fac:0150] Franklin Wireless U600
     [1fac:0151] Franklin Wireless U600
    × Device updates (see Changelog for details)
     [0421:0627] Nokia CS-18
     [0e8d:0002:uPr=MT] MediaTek MT6276M
     [1199:0fff] Sierra devices (specific driver)
     [12d1:1446] Huawei, newer modems
     [12d1:14d1] Vodafone / Huawei K3770
     [12d1:14fe] T-Mobile NL (Huawei E352)
     [12d1:1505] Huawei EC156, Huawei E372u-8
     [12d1:1c0b] Huawei E173s
     [12d1:1da1] Huawei ET8282, Huawei ET127
     [16d8:6803] C-motech D-50 (aka "CDU-680", "CNU-680")
     [19d2:0154] ZTE MF190 (Variant) and others
     [19d2:1175] Vodafone / ZTE K3770-Z
     [19d2:1216] ZTE MF192+
     [19d2:2000] ZTE devices
     [1ab7:5700] Hummer DTM5731, Aircard 901
     [1bbb:f000] Alcatel X200/X200L/X060S, Archos G9 3G Key
     [1ee8:0013] Onda MW833UP
     [1ee8:0040] Onda MW836UP-K
     [21f5:1000] StrongRising (China Telcom), Air FlexiNet

  * Bump Standards-Version to 3.9.4 and debhelper B-D to 9 without
    changes needed.

 -- Didier Raboud <odyx@debian.org>  Tue, 20 Nov 2012 11:09:31 +0100

usb-modeswitch-data (20120815-1) unstable; urgency=low

  * New upstream release.
    + New devices
     [0421:061d] Nokia CS-11
     [0922:1001] Dymo LabelManager
     [0af0:8700] Option GI0643 (aka XYFI)
     [15eb:7153] China TeleCom CBP7.0
     [19d2:0154] ZTE MF190 (Variant)
     [19d2:0325] ZTE MF821D
     [19d2:1017] Vodafone K5006Z (MF821)
     [1bbb:00ca] Alcatel OT-X080C
     [1bbb:f017] Alcatel OT-X220D
     [1ee8:004a] Onda MDC655
     [22de:6803] WeTelecom WM-D300
     [230d:0101] Linktop LW272/LW273
     [2357:0200] TP-Link MA180
    × Devices updates (see ChangeLog for details)
     [12d1:14fe] Small target ID addition for Huawei E352
     [1410:5059] Fix config for Novatel MC545
     [16d8:6803] Updated config for C-motech D-50
     [19d2:2000] Add one more TargetProduct
    × Changes in "rules" file (interface number filters) to reflect
      recent reports.

  * Minor update to the gen_dch helper script to be stricter when
    parsing git diff.

 -- Didier Raboud <odyx@debian.org>  Tue, 28 Aug 2012 11:21:02 +0200

usb-modeswitch-data (20120531-1) unstable; urgency=low

  * New upstream release.
    - [19d2:0083:uPr=WCDMA] ZTE MF110 (Variant); small but important fix
      for ZTE Blade phone; specifying the "USB Product" avoids
      modeswitching a device that doesn't need it.

 -- Didier Raboud <odyx@debian.org>  Mon, 09 Jul 2012 12:00:00 -0600

usb-modeswitch-data (20120529-1) unstable; urgency=low

  * New upstream release
    + New devices
     [0408:f000] Yota Router (Quanta 1QDLZZZ0ST2)
     [0421:0637] Nokia CS-21M-02
     [04e8:680c] Samsung GT-B1110
     [0af0:4007] Option iCon 711
     [0af0:8006] Option Globetrotter (Variant)
     [0e8d:0002] MediaTek MT6276M
     [109b:f009] Hisense E910 EVDO Phone
     [12d1:14c3] K5005 Vodafone/Huawei
     [12d1:1c24] Huawei E173 (Moviestar)
     [19d2:0031] ZTE MF637
     [19d2:1514] ZTE MF192 (yet annother variant)
     [1c9e:98ff] Telewell TW-3G HSPA+
     [1ee8:0060] Onda MSA 14.4 (TIM Brasil)
     [2001:a80b] D-Link DWM-156 (Variant)
     [2077:f000] Telenet 3G dongle (T&W WU160)
     [22f4:0021] Tata Photon+
    × Some target product ID additions.
    × Skip driver loading for some devices now supported by dedicated
      drivers.
    × Minor fine tuning and corrections

  * Bump Standards-Version to 3.9.3 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Thu, 31 May 2012 11:07:32 +0200

usb-modeswitch-data (20120120-1) unstable; urgency=low

  * New upstream release
    + New devices
     [04bb:bccd] I-O Data WMX2-U Wimax
     [05c6:1000] Celot CT-680
     [0af0:7706] Option HSO device
     [0af0:d001] Option GlobeTrotter GI1515
     [1004:614e] LG L-07A
     [1004:61dd] LG L-02C LTE
     [1004:61e7] LG SD711
     [1004:61eb] LG L-08C (NTT docomo)
     [12d1:1f01] Huawei E353 (3.se)
     [19d2:0146] ZTE MF652 (Variant)
     [19d2:0169] ZTE A371B
     [19d2:1520] ZTE MF652
     [1a8d:2000] BandRich BandLuxe C339
     [201e:1023] Haier CE682 (EVDO)
     [21f5:1000] StrongRising (China Telcom), Air FlexiNet
    × Reduced redundancies in parameters, resulting in smaller files.

  * Demote udev Depends to Recommends without alternative.
    (Closes: #649233)
  * Bump relationships to usb-modeswitch to >= 1.2.1.

 -- Didier Raboud <odyx@debian.org>  Mon, 20 Feb 2012 15:33:59 +0100

usb-modeswitch-data (20111023-1) unstable; urgency=low

  * New upstream release
    + New devices
     [0421:062c] Nokia CS-19
     [04e8:f000:sMo=U209] Samsung U209, renamed from [04e8:f000].
     [05c6:6503] AnyDATA APE-540H
     [12d1:1d50] Huawei ET302
     [1410:5059] Novatel Wireless MC545 HSPA
     [16d8:6804] C-motech CDU-685a
     [19d2:0166] ZTE MF820 4G LTE
     [19d2:1517] ZTE MF192 (Variant)
     [19d2:ffde] ZTE AC682 (a.k.a. SmartFren Connex)
     [1bbb:f052] Alcatel OT X220L
     [1da5:f000] Qisda H21 Flying Beetle
     [1de1:1101] Philips PicoPix 1020 Projector
     [1e89:f000] 3GO 3GO11 HSUPA
    × Devices updates (see ChangeLog for details)
     [12d1:14b5] Huawei E173 (Viettel 3G)
     [19d2:2000] ZTE devices

  * Fix the unpacking command in the overriding documentation.
  * Bump usb-modeswitch relationships to >= 1.2.0.

 -- Didier Raboud <odyx@debian.org>  Mon, 24 Oct 2011 09:45:44 +0200

usb-modeswitch-data (20110805-1) unstable; urgency=low

  * New upstream release
    + New devices
     [0af0:****] Option HSO devices
     [12d1:14b7] Vodafone (Huawei) K4511
     [12d1:14c5] Vodafone (Huawei) K4510
     [1307:1169] Cisco AM10 "Valet Connector"
     [19d2:1171] Vodafone (ZTE) K4510-Z
     [19d2:1175] Vodafone (ZTE) K3770-Z
     [19d2:1179] Vodafone (ZTE) K3772-Z
    - Configuration cleaning
     [0471:1210] Vodafone MD950 (Wisue Technology) (was superfluous).

  * Bump usb-modeswitch relationships to >= 1.1.9.

 -- Didier Raboud <odyx@debian.org>  Sun, 07 Aug 2011 17:08:41 +0200

usb-modeswitch-data (20110714-1) unstable; urgency=low

  * New upstream release
    + New devices
     [0af0:7a05] Option iCon 461
     [12d1:14c4] Vodafone/Huawei K3771
     [12d1:14d1] Vodafone/Huawei K3770
     [12d1:1505] Huawei EC156
     [19d2:bccd] ZTE AX226 WiMax
     [1c9e:9800] Longcheer SU9800
     [2020:f00e] SpeedUp SU-8000U
    × Devices updates (see ChangeLog for details)
     [0df7:0800] Mobile Action ("Smart Cable")
     [1a8d:1000] BandRich BandLuxe C100, C120, C170, C270, C3xx

 -- Didier Raboud <odyx@debian.org>  Fri, 15 Jul 2011 19:36:46 +0200

usb-modeswitch-data (20110619-1) unstable; urgency=low

  * New upstream release
    + New devices
     [03f0:002a] HP LaserJet Professional P1102
     [0471:1210] Vodafone MD950 (Wisue Technology)
     [05c6:1000:sVe=GT] Option GlobeTrotter GX0201
     [07d1:a804] D-Link DWM-156 HSUPA 3.75G USB Modem
     [0df7:0800] Mobile Action ("Smart Cable", will vanish)
     [12d1:1030] Huawei U8220, T-Mobile Pulse (Android smartphone)
     [12d1:14b5] Huawei E173 (Viettel 3G)
     [12d1:14fe] T-Mobile NL (Huawei E352)
     [148e:a000] Sequans SQN1210/SQN1220 (generic chipsets)
     [16d8:700b] C-motech CHU-629S (Variant)
     [198a:0003] JOA Telecom LM-700r
     [19d2:0013] Vodafone/ZTE K3806-Z
     [19d2:0149] ZTE MF190 (Variant)
     [19d2:1201] ZTE MF691 (T-Mobile Rocket 2.0)
     [19d2:1216] ZTE MF192
     [19d2:1224] ZTE MF190
     [19d2:ffe6] ZTE "ffe" devices 1 (e.g. Cricket A605)
     [230d:0007] Visiontek 82GH 3G
    × Devices updates (see ChangeLog for details)
     [072f:100d] InfoCert Business Key (SmartCard/Reader emulation)
     [0b3c:f000] Olivetti Olicard 145, 155
     [12d1:1446] Huawei, newer modems (LP: #776959)
     [1c9e:f000] MobiData MBD-200HU and others

  * Refresh patches.
  * Bump usb-modeswitch relationships to >= 1.1.8.
  * Bump Standards-Version to 3.9.2 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Mon, 20 Jun 2011 10:17:09 +0200

usb-modeswitch-data (20110227-2) unstable; urgency=low

  * Remove leftover 1a8d:1000:uPr=5G conffile (Closes: #618638).
  * debian/*.postinst: In the handling of modified configuration files,
    replace the 'rename' call (producing errors) by a 'find -exec rename'
    (cleaner).

 -- Didier Raboud <odyx@debian.org>  Thu, 17 Mar 2011 09:40:36 +0100

usb-modeswitch-data (20110227-1) unstable; urgency=low

  * New upstream release
    + New devices
     [0421:060c] Nokia CS-10
     [0cf3:20ff] Atheros Wireless / Netgear WNDA3200
     [12d1:1031] Huawei U8110 / Joy, Vodafone 845 (Android smartphone)
     [12d1:14c1] Vodafone (Huawei) K4605
     [12d1:1523] Huawei R201
     [19d2:0003] ZTE MU351
     [19d2:0026] ZTE AC581
     [1ee8:0013] Onda MW833UP
    × Devices updates (see ChangeLog for details)
     [19d2:0040] Vodafone (ZTE) K2525
     [19d2:0053] ZTE MF110 (Variant)
     [19d2:0103] ZTE MF112
     [19d2:2000] ZTE devices

  * Bump usb-modeswitch relationships to >= 1.1.7.
  * Ship the packed rules under in the usb-modeswitch-data package, hence drop
    usb-modeswitch-data-packed (Closes: #612690).
    - Remove the -packed package.
    - Update install files, no database entries outside of the tarball anymore
      (Closes: #577853).
    - Update building rules.
    - Add Replaces/Conflicts/Provides on usb-modeswitch-data to -packed.
    - Add all past configuration files to
      debian/usb-modeswitch-data.maintscript.
  * Patches:
    × Refresh 01_no_udev_reload.patch.
    - Remove 02_umdp_archive_in_usr.patch: Obsoleted by upstream changes.
  * Name the maintscript debhelper file correctly (-data had been forgotten).
  * Ship the /etc/usb_modeswitch.d directory, together with a lintian
    override (it is meant to stay empty).
  * Add a postinst snippet to keep the admin-modified database entries
    in place.
  * Add a README.Debian to explain the overriding mechanism.
  * Add a NEWS entry to explain the raw database disappearing.
  * Add debian/gen_dch.sh to generate the nice changelog entries.
  * Also bump debhelper compat (was forgotten).

 -- Didier Raboud <odyx@debian.org>  Wed, 16 Mar 2011 14:09:43 +0100

usb-modeswitch-data (20101222-3) unstable; urgency=low

  * Upload to unstable
  * Use new dh_installdeb maintscript possibility:
    - Bump debhelper Build-Depends to 8.1.0
    - Add Pre-Depends on ${misc:Pre-Depends} to usb-modeswitch-data
    - Remove usb-modeswitch-data.preinst
    - Add usb-modeswitch-data.maintscript

 -- Didier Raboud <odyx@debian.org>  Wed, 09 Feb 2011 14:35:48 +0100

usb-modeswitch-data (20101222-2) experimental; urgency=low

  * Add a usb-modeswitch-data-packed package that ships the compressed
    switching data (Closes: #578024)
  * Add 02_umdp_archive_in_usr.patch to install the archive to /usr/share
    instead of /etc

  * Use my new @d.o address and remove the DMUA flag.

 -- Didier Raboud <odyx@debian.org>  Wed, 05 Jan 2011 13:04:05 +0100

usb-modeswitch-data (20101222-1) experimental; urgency=low

  * New upstream release
    + New devices
     [0e8d:7109] MediaTek Wimax USB Card
     [16d8:6281] C-motech CHU-628S
    × Devices updates
     [1a8d:1000] BandRich BandLuxe C100, C120, C170, C270
  * Remove 02_no_tclsh_overhead patch; merged upstream.
  * Bump Standards to 3.9.1 without changes needed.

 -- Didier Raboud <didier@raboud.com>  Tue, 04 Jan 2011 17:13:04 +0100

usb-modeswitch-data (20101202-1) experimental; urgency=low

  * New upstream release
    + New devices
     [12d1:1553] Huawei E1553
     [12d1:1c0b] Huawei E173s
     [230d:0001] Linktop LW272/LW273 (BSNL Teracom) (LP: #673459)
    × Devices updates (see ChangeLog for details)
     [0471:1210] Vodafone MD950 (Wisue Technology)
     [0471:1237] Philips TalkTalk (NXP Semiconductors "Dragonfly")
     [05c6:2001] D-Link DWM-162-U5, Micromax MMX 300c
     [0930:0d46] Toshiba G450
     [0fce:d103] Sony Ericsson MD400G
     [1004:607f] LG HDM-2100 (EVDO Rev.A USB modem)
    - Refresh patches.

 -- Didier Raboud <didier@raboud.com>  Fri, 03 Dec 2010 10:09:36 +0100

usb-modeswitch-data (20101128-1) experimental; urgency=low

  * New upstream release
    + New devices
     [0421:0622] Nokia CS-17
     [0421:0627] Nokia CS-18
     [05c7:1000] Qtronix EVDO 3G Modem (for TianYi)
     [0d46:45a1] Kobil mIdentity 3G (1)
     [0d46:45a5] Kobil mIdentity 3G (2)
     [0fd1:1000] GW D301 (Advinne AMC)
     [1004:6190] LG AD600
     [106c:3b05] Pantech / UTStarcom UMW190 (Verizon) (LP: #657129)
     [1edf:6003] AirPlus MCD-800
    × Devices updates (see ChangeLog for details)
     [0482:024d] Kyocera W06K CDMA modem
     [12d1:****] Huawei devices
     [1410:5010] Novatel Wireless devices
     [19d2:****] ZTE devices
     [1a8d:1000] BandRich BandLuxe C100, C120, C170, C270 (merge)
     [1bbb:f000] Alcatel X200/X200L/X060S
    - Refresh patches.

  * Bump usb-modeswitch Recommends and Breaks against to 1.1.5

 -- Didier Raboud <didier@raboud.com>  Wed, 01 Dec 2010 16:02:54 +0100

usb-modeswitch-data (20100826-1) unstable; urgency=low

  * New upstream release
   + New devices
    [0b3c:f000] Olivetti Olicard 145
    [1ee8:0009] Onda MW833UP
   × Devices updates
    [05c6:1000] Quirky Option devices

  * Releasing to unstable, thanks to Release Team approval.

 -- Didier Raboud <didier@raboud.com>  Mon, 30 Aug 2010 16:28:04 +0200

usb-modeswitch-data (20100817-1~exp0) experimental; urgency=low

  * New upstream release
    + New devices
     [04e8:689a] Samsung GT-B3730
     [12d1:14ad] Vodafone (Huawei) K3806
     [19d2:1013] Vodafone (ZTE) K3806-Z
     [1c9e:9e00] BSNL Capitel
    × Devices updates (see ChangeLog for details)
     [05c6:1000] AnyData devices
     [19d2:2000] ZTE devices (Closes: #590902)
     [1c9e:f000] MobiData MBD-200HU and others
    - Update patches.
  * Add 02_no_tclsh_overhead.patch to avoid hardcoding tclsh path.

  * Bump usb-modeswitch recommend to 1.1.4.

 -- Didier Raboud <didier@raboud.com>  Tue, 24 Aug 2010 00:23:42 +0200

usb-modeswitch-data (20100707-1) unstable; urgency=low

  * New upstream release
    + New devices
     [0421:060c] Nokia CS-10
     [0cf3:20ff] Atheros Wireless / Netgear WNDA3200
     [12d1:1031] Huawei U8110 (Android smartphone)
     [12d1:14c1] Vodafone (Huawei) K4605
     [12d1:1523] Huawei R201
     [1ee8:0013] Onda MW833UP
    × Devices updates (see ChangeLog for details)
     [19d2:****] ZTE devices
    - Update patches.
  * Bump Standards to 3.9.0.0: change a Conflicts to Breaks.

 -- Didier Raboud <didier@raboud.com>  Sun, 18 Jul 2010 22:55:03 +0200

usb-modeswitch-data (20100623-1) unstable; urgency=low

  * New upstream release
    + New device
     [12d1:1557] Huawei E173

 -- Didier Raboud <didier@raboud.com>  Thu, 24 Jun 2010 10:50:36 +0200

usb-modeswitch-data (20100621-1) unstable; urgency=low

  * New upstream release
    + New devices
     [0af0:****] Option HSO devices
     [0b3c:c700] Olivetti Olicard 100 and others
     [0fce:d103] Rogers Rocket Stick (a Sony Ericsson device)
     [1004:613a] LG L-05A
     [1004:613f] LG LUU-2100TI (aka AT&T USBConnect Turbo)
     [19d2:0003] ZTE MU351
     [19d2:0083] ZTE MF110 (Variant)
     [19d2:0103] ZTE MF112
     [1a8d:1000] BandRich BandLuxe C170, BandLuxe C270
    × Devices updates (see ChangeLog for details)
     [1199:0fff] Sierra devices (specific driver)
     [19d2:0026] ZTE AC581
     [19d2:0053] ZTE MF110 (Variant)
     [19d2:0101] Vodafone (ZTE) K4505-Z
     [19d2:0115] ZTE MF651
     [19d2:1001] Vodafone (ZTE) K3805-Z
     [19d2:1007] Vodafone (ZTE) K3570-Z
     [19d2:1009] Vodafone (ZTE) K3571-Z
     [19d2:2000] ZTE devices (Closes: #585021)
     [19d2:fff5] ZTE "fff" devices 1
     [19d2:fff6] ZTE "fff" devices 2

 -- Didier Raboud <didier@raboud.com>  Wed, 23 Jun 2010 11:16:13 +0200

usb-modeswitch-data (20100418-1) unstable; urgency=low

  * New upstream release
     - First version with proper ChangeLog
     - New rule to add a symlink to interrupt ports, thus bump
       recommends on usb-modeswitch to 1.1.2
     + New devices
      [0fce:d0cf] Sony Ericsson MD300
      [1266:1000] Digicom 8E4455 (and all Pirelli devices)
      [1410:5041] Novatel Generic MiFi 2352 / Vodafone MiFi 2352
      [19d2:0040] Vodafone (ZTE) K2525
      [19d2:0101] Vodafone (ZTE) K4505-Z
      [19d2:0115] ZTE MF651
      [19d2:1001] Vodafone (ZTE) K3805-Z
      [19d2:1007] Vodafone (ZTE) K3570-Z
      [19d2:1009] Vodafone (ZTE) K3571-Z
      [1fac:0130] Franklin Wireless U210
     × Devices updates (see ChangeLog for details)
      [056c:2001] D-Link DWM-162-U5, Micromax MMX 300c
      [12d1:1446] Huawei, newer modems
  * Correct typos and dates in debian/copyright.

 -- Didier Raboud <didier@raboud.com>  Mon, 19 Apr 2010 13:59:43 +0200

usb-modeswitch-data (20100322-2) unstable; urgency=low

  * Remove the upstream-deleted files with conffile removal in preinst.

 -- Didier Raboud <didier@raboud.com>  Thu, 25 Mar 2010 13:41:57 +0100

usb-modeswitch-data (20100322-1) unstable; urgency=low

  * New upstream release
    × Devices updates (see README for more details)
      [16d8:6803] There are now two different versions
      [19d2:2000] No more "eject" command (Closes: #574270)

  * Correct dependencies to be on upstream releases and not on debian revisions.
    Thanks Patrick Matthaï for the hint.

 -- Didier Raboud <didier@raboud.com>  Wed, 24 Mar 2010 16:19:58 +0100

usb-modeswitch-data (20100317-1) unstable; urgency=low

  * New upstream release.
    + New devices
      [0482:024d] Kyocera W06K CDMA modem
      [1004:607f] LG HDM-2100 (EVDO Rev.A USB modem)
    × Uses NoDriverLoading, thus recommending usb-modeswitch (>= 1.1.1)

  * Now that I am a DM, add DMUA field to debian/control.
    Thanks go to Patrick Matthäi for the sponsoring!

 -- Didier Raboud <didier@raboud.com>  Thu, 18 Mar 2010 11:08:46 +0100

usb-modeswitch-data (20100221-1) unstable; urgency=low

  * New upstream release.
    + New devices
      [12d1:101e] Huawei U7510 / U7517
      [198f:bccd] Beceem BCSM250
      [19d2:2000] ZTE MF626 and others

 -- Didier Raboud <didier@raboud.com>  Tue, 23 Feb 2010 23:56:27 +0100

usb-modeswitch-data (20100203-1) unstable; urgency=low

  * New upstream release.
    + New devices
      [057c:84ff] AVM Fritz!Wlan USB Stick N
      [19d2:0026] ZTE AC581
    × Devices updates
      [19d2:2000] Re-arrange target product lists
  * As 057c:84ff re-appeared, drop the preinst.
  * debian/control : Makes the udev dependency | not+linux-gnu.
  * debian/usb-modeswitch-data.docs : Include the upstream README.

 -- Didier Raboud <didier@raboud.com>  Mon, 08 Feb 2010 23:30:54 +0100

usb-modeswitch-data (20100127-1) unstable; urgency=low

  * New upstream release.
    + New devices
      [072f:200d] InfoCert Business Key (SmartCard/Reader emulation)
      [106c:3b06] UTStarcom UM185E (distributor "Alltel")
    - Devices removal
      [057c:84ff] AVM Fritz!Wlan USB Stick N
  * Add a debian/watch.
  * Add a preinst to correctly delete the removed devices.
  * Use upstream's Makefile
  * Bump requirements.
  * Add a bug-presubj to tell people about the new rules politics
  * Add a dependency on udev (>= 0.140-1) (Closes: #567327)
  * Patches:
    + 01_no_udev_reload.patch
       Add to avoid the useless udev rules reload.
    - 05_move_wrappers_to_usr.patch
       Remove. Now works differently.
    - 07_SYSFS_to_ATTRS.patch
       Remove. Merged upstream

 -- Didier Raboud <didier@raboud.com>  Thu, 28 Jan 2010 15:19:58 +0100

usb-modeswitch-data (20100110-1) unstable; urgency=low

  * Initial release: source split from usb-modeswitch-data.
    (Closes: #564924)
  * Remove the "opt-in" patch to get the rules included again.
    - See http://bugs.debian.org/557610#19
    - Add a note about it in NEWS.Debian
  * Patches:
    + 05_move_wrappers_to_usr.patch
       Add. Moves wrappers to specific /usr/share/usb_modeswitch
    + 07_SYSFS_to_ATTRS.patch
        Add to fix "later udev versions output loads of syslog warnings"
        (Closes: #560250)

 -- Didier Raboud <didier@raboud.com>  Tue, 12 Jan 2010 16:00:20 +0100
